Bug # 118127 (CLOSED): 【IOVDEV-29509】副屏】【0100】【台架】【monkey】monkey测试出现类似黑屏，屏幕冻屏触摸无效

【IOVDEV-29509】副屏】【0100】【台架】【monkey】monkey测试出现类似黑屏，屏幕冻屏触摸无效，netd
进程不停的在向system_server进程进行IPC通信
2023-05-26 19:30 - CD FW 曹覃刚

Status: CLOSED Start date: 2023-05-26

Priority: High Due date:

Assignee: CD LC 陶洪普 % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: WONTFIX Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【monkey时间】：11小时

【前提条件】：

1.副屏上电

2.台架环境完整

3.monkey前网络时间声音均正常

【操作步骤】

1.执行monkey脚本

【实际结果】

1.副屏界面黑，有背光，显示触摸轨迹和顶部坐标，monkey已停止，触摸屏幕无任何反应，连接ADB投屏，可以操作界面返回（鼠标右

键返回上一级界面，返回桌面），随后屏幕恢复，可正常点击，显示本次开机市场为11小时，monkey过程中未出现重启

【期望结果】

1.monkey正常运行，副屏无重启、死机现象

【中控版本号】：03.02.0080.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 19:33 - CD FW 曹覃刚

Hi 洪普

请帮忙检查下，下面这个问题点，netd进程不停的在向system_server进程进行IPC通信

-----------------------------------

在bugreport中有很多binder的log：

其中1525是system_server进程，1015是surfaceflinger进程，677是netd进程。

在Watchdog发生之前，surfaceflinger进程和netd进程不停的在向systemserver发起IPC通信，造成了system_server的binder线程池没有空闲的线程，并

且system_server的binder_buffer被耗尽。

这有可能会导致app端anr或者system_server anr出现异常

untitled:19630: 05-20 08:19:51.399 root 0 0 I [40599.381619] binder_alloc: 1525: pid 1015 spamming oneway? 87 buffers allocated for a total size of 171000
untitled:19644: 05-20 08:19:51.431 root 0 0 I [40599.414407] binder_alloc: 1525: pid 1015 spamming oneway? 88 buffers allocated for a total size of 173304

untitled:19651: 05-20 08:19:51.450 root 0 0 I [40599.431686] binder_alloc: 1525: pid 1015 spamming oneway? 89 buffers allocated for a total size of 175608

untitled:19680: 05-20 08:19:51.929 root 0 0 I [40599.914474] binder_alloc: 1525: pid 677 spamming oneway? 1070 buffers allocated for a total size of 336656

untitled:19716: 05-20 08:19:58.067 root 0 0 I [40606.048333] binder_alloc: 1525: pid 677 spamming oneway? 1071 buffers allocated for a total size of 336920

untitled:19717: 05-20 08:19:59.223 root 0 0 I [40607.204280] binder_alloc: 1525: pid 677 spamming oneway? 1072 buffers allocated for a total size of 337168

untitled:19719: 05-20 08:20:00.067 root 0 0 I [40608.052097] binder_alloc: 1525: pid 677 spamming oneway? 1073 buffers allocated for a total size of 337432

untitled:20166: 05-20 08:20:01.858 root 0 0 I [40609.842448] binder_alloc: 1525: pid 677 spamming oneway? 1072 buffers allocated for a total size of 337248

untitled:20167: 05-20 08:20:01.858 root 0 0 I [40609.842535] binder_alloc: 1525: pid 677 spamming oneway? 1073 buffers allocated for a total size of 337520

untitled:20168: 05-20 08:20:01.863 root 0 0 I [40609.844259] binder_alloc: 1525: pid 677 spamming oneway? 1074 buffers allocated for a total size of 337784

untitled:20169: 05-20 08:20:01.875 root 0 0 I [40609.857901] binder_alloc: 1525: pid 677 spamming oneway? 1075 buffers allocated for a total size of 338080

untitled:20170: 05-20 08:20:01.875 root 0 0 I [40609.858043] binder_alloc: 1525: pid 677 spamming oneway? 1076 buffers allocated for a total size of 338352

untitled:20171: 05-20 08:20:01.919 root 0 0 I [40609.902994] binder_alloc: 1525: pid 677 spamming oneway? 1077 buffers allocated for a total size of 338608

untitled:20172: 05-20 08:20:01.959 root 0 0 I [40609.941230] binder_alloc: 1525: pid 677 spamming oneway? 1078 buffers allocated for a total size of 338864

untitled:20243: 05-20 08:20:07.075 root 0 0 I [40615.059677] binder_alloc: 1525: pid 677 spamming oneway? 1083 buffers allocated for a total size of 340248

untitled:20379: 05-20 08:20:07.143 root 0 0 I [40615.127194] binder_alloc: 1525: pid 677 spamming oneway? 1084 buffers allocated for a total size of 340592

untitled:20380: 05-20 08:20:07.143 root 0 0 I [40615.128213] binder_alloc: 1525: pid 677 spamming oneway? 1085 buffers allocated for a total size of 340864

untitled:20415: 05-20 08:20:08.075 root 0 0 I [40616.058084] binder_alloc: 1525: pid 677 spamming oneway? 1086 buffers allocated for a total size of 341128

untitled:20434: 05-20 08:20:08.161 root 0 0 I [40616.135262] binder_alloc: 1525: pid 1015 spamming oneway? 86 buffers allocated for a total size of 171288

untitled:20790: 05-20 08:20:08.289 root 0 0 I [40616.268313] binder_alloc: 1525: pid 677 spamming oneway? 1085 buffers allocated for a total size of 340848

untitled:20812: 05-20 08:20:08.347 root 0 0 I [40616.302021] binder_alloc: 1525: pid 677 spamming oneway? 1086 buffers allocated for a total size of 341168

untitled:20813: 05-20 08:20:08.369 root 0 0 I [40616.302070] binder_alloc: 1525: pid 677 spamming oneway? 1087 buffers allocated for a total size of 341544

untitled:20814: 05-20 08:20:08.369 root 0 0 I [40616.302108] binder_alloc: 1525: pid 677 spamming oneway? 1088 buffers allocated for a total size of 341816

untitled:20897: 05-20 08:20:16.867 root 0 0 I [40624.843718] binder_alloc: 1525: pid 677 spamming oneway? 1087 buffers allocated for a total size of 341656

untitled:21010: 05-20 08:20:09.214 root 0 0 I [40625.076127] binder_alloc: 1525: pid 1015 spamming oneway? 86 buffers allocated for a total size of 171936

untitled:21092: 05-20 08:20:14.650 root 0 0 I [40630.518914] binder_alloc: 1525: pid 677 spamming oneway? 1086 buffers allocated for a total size of 341400

untitled:21093: 05-20 08:20:14.650 root 0 0 I [40630.519062] binder_alloc: 1525: pid 677 spamming oneway? 1087 buffers allocated for a total size of 341672

untitled:21094: 05-20 08:20:14.654 root 0 0 I [40630.521505] binder_alloc: 1525: pid 677 spamming oneway? 1088 buffers allocated for a total size of 341944

untitled:21096: 05-20 08:20:16.214 root 0 0 I [40632.080997] binder_alloc: 1525: pid 677 spamming oneway? 1089 buffers allocated for a total size of 342208

untitled:21097: 05-20 08:20:16.659 root 0 0 I [40632.527433] binder_alloc: 1525: pid 677 spamming oneway? 1090 buffers allocated for a total size of 342456

untitled:21102: 05-20 08:20:18.218 root 0 0 I [40634.085031] binder_alloc: 1525: pid 677 spamming oneway? 1091 buffers allocated for a total size of 342720

untitled:21105: 05-20 08:20:18.758 root 0 0 I [40634.627732] binder_alloc: 1525: pid 677 spamming oneway? 1092 buffers allocated for a total size of 342968

untitled:21284: 05-20 08:20:19.634 root 0 0 I [40635.502119] binder_alloc: 1525: pid 677 spamming oneway? 1091 buffers allocated for a total size of 342912

untitled:21324: 05-20 08:20:19.667 root 0 0 I [40635.529692] binder_alloc: 1525: pid 677 spamming oneway? 1092 buffers allocated for a total size of 343168

untitled:21364: 05-20 08:20:19.694 root 0 0 I [40635.557616] binder_alloc: 1525: pid 677 spamming oneway? 1093 buffers allocated for a total size of 343432

untitled:21377: 05-20 08:20:19.794 root 0 0 I [40635.663998] binder_alloc: 1525: pid 677 spamming oneway? 1094 buffers allocated for a total size of 343744

untitled:21378: 05-20 08:20:19.795 root 0 0 I [40635.664079] binder_alloc: 1525: pid 677 spamming oneway? 1095 buffers allocated for a total size of 344016

untitled:21380: 05-20 08:20:19.808 root 0 0 I [40635.674694] binder_alloc: 1525: pid 677 spamming oneway? 1096 buffers allocated for a total size of 344384

untitled:21381: 05-20 08:20:19.808 root 0 0 I [40635.674785] binder_alloc: 1525: pid 677 spamming oneway? 1097 buffers allocated for a total size of 344656

untitled:21382: 05-20 08:20:19.808 root 0 0 I [40635.675475] binder_alloc: 1525: pid 677 spamming oneway? 1098 buffers allocated for a total size of 345048

untitled:21476: 05-20 08:20:26.226 root 0 0 I [40642.092858] binder_alloc: 1525: pid 677 spamming oneway? 1099 buffers allocated for a total size of 345312

untitled:21484: 05-20 08:20:27.382 root 0 0 I [40643.250275] binder_alloc: 1525: pid 677 spamming oneway? 1100 buffers allocated for a total size of 345552

untitled:21578: 05-20 08:20:30.436 root 0 0 I [40646.301717] binder_alloc: 1525: pid 677 spamming oneway? 1099 buffers allocated for a total size of 345296

untitled:21833: 05-20 08:20:30.494 root 0 0 I [40646.363505] binder_alloc: 1525: pid 1015 spamming oneway? 83 buffers allocated for a total size of 167616

untitled:21836: 05-20 08:20:30.509 root 0 0 I [40646.364858] binder_alloc: 1525: pid 677 spamming oneway? 1098 buffers allocated for a total size of 345360

untitled:21837: 05-20 08:20:30.509 root 0 0 I [40646.364952] binder_alloc: 1525: pid 677 spamming oneway? 1099 buffers allocated for a total size of 345632

untitled:21838: 05-20 08:20:30.509 root 0 0 I [40646.365410] binder_alloc: 1525: pid 677 spamming oneway? 1100 buffers allocated for a total size of 345936

untitled:21839: 05-20 08:20:30.509 root 0 0 I [40646.365545] binder_alloc: 1525: pid 677 spamming oneway? 1101 buffers allocated for a total size of 346208

untitled:21840: 05-20 08:20:30.509 root 0 0 I [40646.367295] binder_alloc: 1525: pid 677 spamming oneway? 1102 buffers allocated for a total size of 346480

untitled:22042: 05-20 08:20:30.666 root 0 0 I [40646.516131] binder_alloc: 1525: pid 677 spamming oneway? 1101 buffers allocated for a total size of 346280

untitled:65806: 05-20 07:33:36.469 root 0 0 I [37834.217283] binder_alloc: 1525: pid 1015 spamming oneway? 65 buffers allocated for a total size of 123808

untitled:65807: 05-20 07:33:36.523 root 0 0 I [37834.267772] binder_alloc: 1525: pid 1015 spamming oneway? 66 buffers allocated for a total size of 125992

untitled:65808: 05-20 07:33:36.603 root 0 0 I [37834.350992] binder_alloc: 1525: pid 1015 spamming oneway? 67 buffers allocated for a total size of 128176

untitled:65809: 05-20 07:33:36.619 root 0 0 I [37834.367716] binder_alloc: 1525: pid 1015 spamming oneway? 68 buffers allocated for a total size of 130360
untitled:65810: 05-20 07:33:36.656 root 0 0 I [37834.401254] binder_alloc: 1525: pid 1015 spamming oneway? 69 buffers allocated for a total size of 132544

-----------------------------------

#2 - 2023-05-27 12:57 - CD TEL张永鑫

日志中没有任何netd tag的日志，所以netd在这个阶段并没有重启的行为。

从现有的日志确认，pid 677 spamming oneway第一次出现是在以下时间：

05-20 08:19:51.929     0     0 I [40599.914474] binder_alloc: 1525: pid 677 spamming oneway? 1070 buffers allocated for a total size of 336656

日志的时间段是从7:50 ~ 8:30,在ANR相关日志中，ANr从7:50就开始发生了：

----- pid 1525 at 2023-05-20 07:54:23.067253542+0800 -----

Cmd line: system_server

Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

ABI: 'arm64'

....

----- pid 677 at 2023-05-20 07:54:23.788434740+0800 -----

Cmd line: /system/bin/netd

ABI: 'arm64'

"Binder:677_4" sysTid=677

    #00 pc 00000000000a1c88  /apex/com.android.runtime/lib64/bionic/libc.so (__ioctl+8) (BuildId: 369edc656806aeaf384cbeb8f7a347af)

....

ANR原因为AMS的死锁；

所以ANR本身的发生，我认为与8:20此处的netd请求无关，怀疑是由于ANR导致了netd无法正常运行，进而导致了netd不断的重发请求。

请确认。

#3 - 2023-05-30 16:57 - 短距组_SSRDCNJ 王孟伟

[Summary]

上面分析怀疑是由于ANR导致了netd无法正常运行，进而导致了netd不断的重发请求。

部分ANR信息如下，可以看到ANR发生在com.kugou.android.auto/com.kugou.android.app.splash.SplashPureActivity, 原因是应用程序没有聚焦窗口，

    Line  20223: 05-20 08:20:06.979  1000  1525  1633 I ActivityManager: Dumping to /data/anr/anr_2023-05-20-08-20-06-979

    Line  21046: 05-20 08:20:14.314  1000  1525  1731 I WindowManager: ANR in ActivityRecord{1470aea u0

com.kugou.android.auto/com.kugou.android.app.splash.SplashPureActivity taskAffinity=10106:android.task.kugou.auto t2746}.  Reason: Application does not have a

focused window

    Line  21106: 05-20 08:20:19.451  1000  1525  1731 I WindowManager: ANR in ActivityRecord{1470aea u0

com.kugou.android.auto/com.kugou.android.app.splash.SplashPureActivity taskAffinity=10106:android.task.kugou.auto t2746}.  Reason: Application does not have a

focused window

    Line  21396: 05-20 08:20:24.788  1000  1525  1731 I WindowManager: ANR in ActivityRecord{f6dcc49 u0 com.smile.gifmaker/com.yxcorp.gifshow.HomeActivity

taskAffinity=10107:com.smile.gifmaker t3026}.  Reason: Application does not have a focused window

    Line  21468: 05-20 08:20:25.062  1000  1525 14808 I ActivityManager: Skipping duplicate ANR: com.android.server.am.ProcessErrorStateRecord@3461fa1 Input

dispatching timed out (Application does not have a focused window)

wifi连接正常，网络正常，请负责相关APP的团队帮忙check com.kugou.android.auto/com.kugou.android.app.splash.SplashPureActivity 发生ANR的根本原因

#4 - 2023-05-31 10:19 - CDTS-TEST 周婷
- Status changed from New to CLOSED

- Resolution changed from -- to WONTFIX

此问题主要协助118127 分析，已排除网络相关影响，先关闭处理，，持续跟踪118127
